Gajim - 2014-02-15


  1. xmt Indeed
  2. bot RSS: Feeds for Gajim • Ticket #7660 (gajim don't start) created after system update: term@fort ~ $ /usr/bin/gajim importing PyGTK failed: Attempt to add property GtkSettings::gtk-button-images after class was initialised gajim version:0.16_beta2 OS version: gentoo GTK version:2.24.17 PyGTK version: 2.24.0-r4 last hg version also won't start with same message https://trac.gajim.org/ticket/7660
  3. bot RSS: Feeds for Gajim • Ticket #7661 (traceback) created traceback in console first: Traceback (most recent call last): File "/home/users/staff/terminator/soft/gajim/src/plugins/helpers.py", line 114, in wrapper result = f(*args, **kwargs) File "/home/users/staff/terminator/soft/gajim/src/plugins/gui.py", line 128, in installed_plugins_treeview_selection_changed self.xml.get_object('scrolledwindow').get_children()[0].destroy() AttributeError: 'NoneType' object has no attrib[…] https://trac.gajim.org/t[…]
  4. bot RSS: Feeds for Gajim • Ticket #7661 (traceback) updated another traceback after opening a dialogue with the plugins: Traceback (most recent call last): File "/home/users/staff/terminator/soft/gajim/src/plugins/helpers.py", line 114, in wrapper result = f(*args, **kwargs) File "/home/users/staff/terminator/soft/gajim/src/plugins/gui.py", line 128, in installed_plugins_treeview_selection_changed self.xml.get_object('scrolledwindow[…] https://trac.gajim.org/ticket/7661#comment:1
  5. Asterix x11term, Hi
  6. bot RSS: Feeds for Gajim • Ticket #7660 (gajim don't start) updated no problem for me. Maybe a problem in your gtk / pygtk instllation? https://trac.gajim.org/ticket/7660#comment:1
  7. pep. what package is needed on ubuntu to get Audio/Video? I have gstreamer0.10-plugins-bad and python-farstream installed
  8. anton when i tryed to use video, it didn't work
  9. pep. I can import farstream, but it seems like gajim tries to import farsight
  10. anton what version do you use?
  11. pep. the latest, on ubuntu :d, 0.15
  12. anton 0.15.4 ?
  13. anton when I used 0.15 (on fedora) when I pressed the cam icon I got some errors, but nothing happened. on 0.16-beta 2 I can see myself and some errors.
  14. pep. it's written 0.15-1, I should install it myself from the sources ..
  15. Link Mauve Ow, that’s old.
  16. pep. yep
  17. pep. thank you ubuntu
  18. Link Mauve And indeed, gajim switched to farstream since then.
  19. anton i'm not sure that if you compile the latest version by yourself it would work. if you really need video calls try to use another client (for example, jitsi)
  20. pep. anton, I don't like jitsi
  21. Link Mauve You should report a bug to Ubuntu, it means Gajim’s audio/video features are unusable in that Ubuntu release.
  22. pep. Link Mauve, it's the LTS
  23. Link Mauve Even more.
  24. pep. yep
  25. Link Mauve And btw Empathy, Pidgin and Psi all support audio or audio/video.
  26. pep. Ah, then I'll try empathy which is already installed
  27. anton LTS versions have old software in repos
  28. Link Mauve anton, they shouldn’t break features.
  29. anton I use the latest versions
  30. pep. I logged in with empathy on ubuntu, tried to call myself (from another account) on gajim (Archlinux), and gajim failed
  31. pep. http://bpaste.net/raw/T197iyme5RxV0711iv3W/
  32. pep. I can reproduce it
  33. anton write a bug report
  34. bot RSS: Feeds for Gajim • Ticket #7643 (Crashes on video start) updated Same bug with gajim 15316:1bfc67ffde16 on Archlinux. https://trac.gajim.org/ticket/7643#comment:1
  35. bot RSS: Feeds for Gajim • Changes[…] https://trac.gajim.org/changeset/e4de73d0d9b7a63774ccc9449d8e5cb87d9ffa11 • Changes[…] https://trac.gajim.org/changeset/92b04b3a3ced7936170de73e65a4c0b6830d06b4 • Changes[…] https://trac.gajim.org/changeset/969aae73b11a1c1c5442ea6e71835f1ded7d3e0e • []
  36. ArtemKyz english or russian?
  37. bot RSS: Feeds for Gajim • Ticket #7315 ([single window mode] Don't resize window if last chat tab is closed / …) closed worksforme: i[…] https://trac.gajim.org/ticket/7315#comment:11 • Chan[…] https://trac.gajim.org/changeset/99b682334b2b6514c1e80d6ad224fe4f9c345ebe • Ticket #7592 (Filetransfer toolti[…] https://trac.gajim.org/ticket/7592#comment:5
  38. pep. Asterix, in reply to the comment you wrote
  39. pep. should I update to farstream 0.2?
  40. pep. I mean, remove farstream 0.1
  41. Asterix no, Gajim don't use 0.2 for the moment ...
  42. pep. so what can I do? :x
  43. Asterix downgrading gstreamer-plugins-good seems solution
  44. pep. it's installed already
  45. pep. gstreamer0.10-good-plugins (arch)
  46. pep. gst-plugins-good as well
  47. Asterix yes but which version of gstreamer0.10-good-plugins ?
  48. pep. 0.10.31-4
  49. Neustradamus Asterix: the second encryption test day is next week (22 February), hope that you will participate
  50. Asterix -3 seems to be ok
  51. Asterix it's my son's birthday, so no I won't be on my machine. But I'll force s2s encryption on gajim.org domain
  52. pep. well, I don't have the package anymore so I can't rollback to -3
  53. Asterix pep then I don't know what you could do. But the bug is not in Gajim.
  54. pep. hmm
  55. pep. I have another problem, with audio this time
  56. pep. http://bpaste.net/raw/VZJQhFq9XpLM0Ts706Qa/
  57. pep. still a problem on the farstream end?
  58. GreenBlood happy birthay to your son, from a random internet guy, Asterix.
  59. Asterix pep: I don't know. sound doesn't seem to be negociated, but I don't know why
  60. Asterix GreenBlood, thx ;)
  61. pep. :/
  62. pep. no voip for me then
  63. pep. yay
  64. Asterix until frstream the bug in 0.1 branch, or Gjim switches to 0.2 (not in 0.16 probably)
  65. Neustradamus Asterix: thanks!
  66. pep. Asterix, okay, thanks
  67. bot RSS: Feeds for Gajim • Ticket #7641 (Jingle File Transfer fails on Ubuntu 12.04.4) updated any suggestion? If each distro choose the functions they want to include, that will be hard … https://trac.gajim.org/ticket/7641#comment:1
  68. pep. Asterix, does 0.2 supports video as well? what's holding you back to 0.1?
  69. Asterix 0.1 works (except for arch), we don't have a lot or contributors ... Time's lacking
  70. pep. but why don't you switch to 0.2?
  71. pep. if you had contributors, time, etc., would you do it?
  72. Asterix I don't know enough about the diff between 0.1 and 0.2, but I see no reason to keep 0.1 if everything work with 0.2. But 0.2 require gstreamer 1.0 I think
  73. pep. ok
  74. pep. what are the other possibilities aside from farstream?
  75. pep. what are the other possibilities besides farstream?
  76. Asterix none that I'm aware of
  77. Asterix GN
  78. Link Mauve Err, 0.1 works fine in Arch too.